classification
Title: [2.7] PCbuild/pcbuild.sln of Python 2.7 cannot be open by Visual Studio 2010
Type: Stage: resolved
Components: Build, Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-08-07 17:25 by vstinner, last changed 2017-08-10 14:12 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3031 merged vstinner, 2017-08-08 23:54
Messages (3)
msg299854 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-07 17:25
The devguide says that Python 2.7 can be build using VS 2010 but it's wrong.

PCbuild/pcbuild.sln starts with:

Microsoft Visual Studio Solution File, Format Version 12.00

Where 12.00 means Visual Studio 2013.

Replacing 12.00 with 11.00 allows me to open the solution in Visual Studio 2010. So I suggest to make this change.

Note: By the way, why VS wants to build in 32-bit mode by default? It would be nice to switch to 64-bit mode by default!
msg299955 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-08 23:56
My notes on compiling CPython 2.7 on Windows using Visual Studio:
http://haypo-notes.readthedocs.io/cpython_windows.html
msg300089 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-10 14:11
New changeset 693790817a93701093ef93333be7abbb0d6d4309 by Victor Stinner in branch '2.7':
PCbuild: downgrade pcbuild.sln to support VS 2010 (#3031)
https://github.com/python/cpython/commit/693790817a93701093ef93333be7abbb0d6d4309
History
Date User Action Args
2017-08-10 14:12:00vstinnersetstatus: open -> closed
resolution: fixed
stage: resolved
2017-08-10 14:11:32vstinnersetmessages: + msg300089
2017-08-08 23:56:38vstinnersetmessages: + msg299955
2017-08-08 23:54:19vstinnersetpull_requests: + pull_request3066
2017-08-07 17:28:51vstinnersettitle: [2.7] PCbuild/pcbuild.sln cannot be open by Visual Studio 2010 -> [2.7] PCbuild/pcbuild.sln of Python 2.7 cannot be open by Visual Studio 2010
2017-08-07 17:25:50vstinnercreate